/*
$Log: socks_user.h,v $
Revision 1.1.1.1  1997/11/12 17:16:25  dor

 * Revision 1.1  1995/06/22  06:05:37  hgs
 * Initial revision
 *
 * Revision 1.1  1995/06/22  06:05:37  hgs
 * Initial revision
 *
 * Revision 1.3  94/06/24  15:56:51  15:56:51  srcmgr (Source Code Management)
 * *** empty log message ***
 * 
 * Revision 1.2  94/06/24  15:54:10  15:54:10  srcmgr (Source Code Management)
 * Made compliant with RFC
 * 
*/
/*
 *
 * Macros to redefine common socket functions to SOCKS equivalents
 */

#ifndef _SOCKS_USER_INCLUDED

#ifndef _IN_SOCKS_LIBRARY

/* Socket functions */
#define socket(f,ty,p) Rsocket(f,ty,p)
#define connect(s,d,dl) Rconnect(s,d,dl)
#define bind(s,d,dl) Rbind(s,d,dl)
#define sendto(s,m,ml,f,t,tl) Rsendto(s,m,ml,f,t,tl)
#define send(s,m,ml,f) Rsend(s,m,ml,f)
#define recvfrom(s,m,ml,f,fr,frl) Rrecvfrom(s,m,ml,f,fr,frl)
#define recv(s,m,ml,f) Rrecv(s,m,ml,f)
#define accept(s,a,al) Raccept(s,a,al)
#define listen(s,n) Rlisten(s,n)
#define getsockname(s,f,fl) Rgetsockname(s,f,fl)

/* System I/O functions */
#define open Ropen
#define close(f) Rclose(f)
#define shutdown(f,h) Rshutdown(f,h)
#define read(f,b,s) Rread((f),b,s)
#define write(f,b,s) Rwrite((f),b,s)

/* STDIO I/O functions (trick, this) */
#ifdef STDIO_EMULATION
#define fopen(f,m) Rfopen(f,m)
#define fclose(f) Rfclose(f)
#define fread(op,sz,no,f) Rfread(op,sz,no,f)
#define fwrite(op,sz,no,f) Rfwrite(op,sz,no,f)

/* Since varargs, cannot define as a function macro */
#define fprintf Rfprintf
#endif

#endif

#define _SOCKS_USER_INCLUDED

#endif
