/*
* SGI Irix 4.x and 5.x
*/
#include <math.h>
#include <sys/systeminfo.h>   /* sysinfo() */
#include <stdlib.h>           /* atoi() */
#include <time.h>             /* localtime(), tzset() */
#include "arch_sys.h"
#include "types.h"



double infinity(void)
{
#ifdef HUGE_VAL
  return HUGE_VAL;
#else
  return __infinity;
#endif
} /* infinity */


long gethostid(void)
{
  char buf[80];

  sysinfo(SI_HW_SERIAL, buf, sizeof(buf));
  return atoi(buf);
} /* gethostid */


#if 0
/*
* Needed as IRIX 4.x no longer supports vfork().
* Not needed for IRIX 5.
*/
int vfork(void)
{
  return (int)fork();
} /* vfork */
#endif
