#ifndef _DEFINE_H
#define _DEFINE_H

#define TRUE 1
#define FALSE 0

#define LOCAL_MCAST_ADDR         "225.2.0.1"
#define LOCAL_MCAST_PORT         5010

#define MSG_BUF_SIZE             1024    /* max size for SIP massages */
#define SOCK_BUF_SIZE            65536
#define MAX_CALL_ID_LENGTH       50
#define MAX_HOST_NAME_LENGTH     100
#define MAX_USER_NAME_LENGTH     100
#define MAX_METHOD_LENGTH        20
#define MAX_LINE_LENGTH          100
#define MAX_TIMEOUT              (3*60)   /* max time in seconds to process a request */
#define ISC_TIMEOUT              60   /* max time in seconds to process a request by isc */
#define RETRANSMIT_TIME          10   /* interval in seconds after a forwarded request will be retransmitted (UDP) */
#define MAX_RETRANSMISSIONS      (MAX_TIMEOUT/RETRANSMIT_TIME) /* max number of retransmissions */

#define PROG_NAME                "sipd"
#define SIP_VERSION              "SIP/2.0"
#define SIP_PORT_NO              5060 
#define SIP_SERVICE_NAME         "sip"

/* current call status */
#define PARALLEL_SEARCH          1
#define REPLY_SENT               2

#define LIST_DEL(lll)  {loc_list_t *tmp; while (lll) {tmp=lll; \
    lll=lll->next; free (tmp); } }

#endif /* _DEFINE_H */
