proc config_mailcap {s w } {
global file
    set file "~/.mailcap"
    app $w
    lese_file $file $w
    $w.top.left.box.lbox yview 0 
}


proc app {w } {  

    global application selected appl  selected_undo index_undo\
	edit_exec edit_app mailc del_select selected1  \
	selected2 selected3 selected4  del_select indexl
    
    frame $w.top -relief ridge -borderwidth 2 ;# -bg #eeccee ;##ffccff
    frame $w.top.left -borderwidth 5
    frame $w.top.left.box
    frame $w.top.left.entry
    frame $w.top.left.buttons
    frame $w.top.buttons
    frame $w.buttons -borderwidth 2 -relief ridge
    
    listbox $w.top.left.box.lbox \
        -yscrollcommand "$w.top.left.box.scrolly set"\
        -xscrollcommand "$w.top.left.box.scrollx set"\
	-setgrid true  -bg gray90   -width 55 -height 8 
    scrollbar $w.top.left.box.scrolly -command \
	"$w.top.left.box.lbox yview"
    scrollbar $w.top.left.box.scrollx  -orient horizontal \
	-command "$w.top.left.box.lbox xview"

    set selected  " "; set selected1 " " ; set selected2 " "
    set selected3 " ";  set selected4 " ";  set selected5 " "
    set selected_undo " "
    set index_undo end
    set indexl end

    bind $w.top.left.box.lbox \
	<ButtonPress-1> { \
			      set selected [%W get [%W nearest %y]]
	    set selected1 [lindex [split $selected ";" ] 0] 
	    set selected2 [lindex [split $selected ";" ] 1]
	    set selected3 [lindex [split $selected ";" ] 2]
	    set selected4 [lindex [split $selected ";" ] 3]
	    set selected5 [lindex [split $selected ";" ] 4]
	    appl_selection
	}  
    
    ### 
    bind $w.top.left.box.lbox <Button> {
	set del_select [%W get [%W nearest %y]]
    }
    ### BIND
    
    bind $w.top.left.box.lbox <ButtonRelease-1> \
	{set indexl [%W nearest %y]}
    ###
    button $w.buttons.ok   -text "Apply" -bg gray92 -command "save_app $w"
    
    
    set line   $selected 
    
    entry $w.top.left.entry.entry1 -bg gray92 \
	-textvariable selected1 -width 40 -justify  left -fg blue
    entry $w.top.left.entry.entry2 -bg gray92 \
	-textvariable selected2 -width 40 -justify  left -fg blue
    entry $w.top.left.entry.entry3 -bg gray92 \
	-textvariable selected3 -width 40 -justify  left -fg blue
    entry $w.top.left.entry.entry4 -bg gray92 \
	-textvariable selected4 -width 40 -justify  left -fg blue
    entry $w.top.left.entry.entry5 -bg gray92 \
	-textvariable selected5 -width 40 -justify  left -fg blue
    
    label $w.top.left.entry.lent1 -text "Content-type :" -anchor e\
	-font  *-times-bold-r-*-12-*-*-*-*-*-*-* 
    label $w.top.left.entry.lent2 -text "Command to exec :" -anchor e \
	-font  *-times-bold-r-*-12-*-*-*-*-*-*-* 
    label $w.top.left.entry.lent3 -text "Optional-flags(1) :" -anchor e\
	-font  *-times-bold-r-*-12-*-*-*-*-*-*-* 
    label $w.top.left.entry.lent4 -text "Optional-flags(2) :" -anchor e\
	-font  *-times-bold-r-*-12-*-*-*-*-*-*-*  
    label $w.top.left.entry.lent5 -text "Optional-flags(3) :" -anchor e\
	-font  *-times-bold-r-*-12-*-*-*-*-*-*-* 
    label $w.top.left.l -text "Your Mailcap-file contain this application  :"  
    button $w.top.left.buttons.edit -text "   Edit   " -bg gray90 \
	-font  *-times-bold-r-*-12-*-*-*-*-*-*-* -command \
	"edit_app $w"  -justify center 
    button $w.top.left.buttons.remove -text Remove -bg gray92  \
	-font  *-times-bold-r-*-12-*-*-*-*-*-*-* \
	-command "remove_app $w"   -justify center 
    button $w.top.left.buttons.help -text " Help " -bg gray92  \
	-font  *-times-bold-r-*-12-*-*-*-*-*-*-* -command \
	"help1 $w" -justify center   
    button $w.top.left.buttons.undo -text "Undo_Remove" -bg gray92  \
	-font  *-times-bold-r-*-12-*-*-*-*-*-*-* -command \
	"undo_remove $w " -justify center   
    
    
    pack  $w.top.left.l -side top -anchor w 
    pack  $w.top.left.box.scrolly -side right -fill y 
    
    pack  $w.top.left.box.lbox  $w.top.left.box.scrollx  -fill x ;#-expand true
    pack  $w.top.left.box  -fill x -expand true
    grid  $w.top.left.entry.lent1 $w.top.left.entry.entry1 -sticky ew
    grid  $w.top.left.entry.lent2 $w.top.left.entry.entry2 -sticky ew
    grid  $w.top.left.entry.lent3 $w.top.left.entry.entry3 -sticky ew
    grid  $w.top.left.entry.lent4 $w.top.left.entry.entry4 -sticky ew
    grid  $w.top.left.entry.lent5 $w.top.left.entry.entry5 -sticky ew
    pack  $w.top.left.entry  -pady 10 -side top  -fill both -expand true
    
    pack  $w.top.left.buttons.undo $w.top.left.buttons.remove \
	  $w.top.left.buttons.edit  -side right 
    pack  $w.top.left.buttons.help -side left 
    pack  $w.top.left.buttons -padx 2 -pady 2 -ipadx 2 -fill both -expand true 
    pack  $w.buttons.ok   -side left \
	  -padx 2 -pady 2 -expand true -fill x
    pack  $w.buttons -fill both -side bottom  -expand true \
	  -padx 3 -pady 3 -ipadx 2 
    pack  $w.top.left  -fill both -expand true
    pack  $w.top  -fill both  -expand true -pady 2 -padx 2
    
    
    bind  $w.top.left.buttons.edit <Return> { edit_app $w}
    bind  $w.top.left.buttons.remove <Return> { remove_app $w}
    bind  $w.top.left.buttons.help <Return> {help1 $w}
    bind  $w.buttons.ok  <Return> {save_app $w}
};# proc app 

########
proc appl_selection {} {
   global selected application  edit_exec edit_app x1 x2

   set line [lindex $application [lsearch \
          $application "$selected"]]
    set appl [lindex $line 1]
    set edit_exec [lrange $line 1 1]
    set edit_app [lrange $line 2 2]
} ;#proc appl_selection 



proc lese_file {file w} {
    global selected application application(entries) selected(appl) mailc \
	appl  edit_exec edit_app res_err1 
    
    set line_number 0
    set x5 ""
    set application [open  $file  {RDWR CREAT} ]
    while {[gets $application Zeile] >= 0} {    
	set line_number [expr $line_number +1]
	if [catch {
            set x1 [string index [lindex $Zeile 0] 0]
	    set x2 [string range $Zeile 0 2]
	    set line $Zeile 
	    set tmp  $Zeile 	   	    
	} res_err1 ] {
	    
	    
	} else {
	    if { [string compare "#" $x1] && [string length $x2] } {
		if [catch {
		    set last_index  [lindex $Zeile end] 
		    set last_index_1 [string index $last_index \
					  [expr [llength $last_index] +1]]
	        set line_length [expr [llength $Zeile] -1]
		} res_err2 ] {
		    
		} else {
		    if { ![string compare "\\" $last_index]}  {
			set x5 [concat $x5 [lreplace $Zeile $line_length \
						$line_length]]
			
		    } elseif  { ![string compare "\\"  \
				      [lindex [split $last_index {}] end]] }  {
			set split_last_index [split $last_index {}]
			set length_last_index \
			    [expr [llength $split_last_index] -1]
			set rep_Zeile_last [lreplace $Zeile  $line_length  \
						$line_length]
			
			set join_last [join [lreplace $split_last_index \
				$length_last_index $length_last_index] {}]
			set x5 [concat $x5 [concat $rep_Zeile_last $join_last]]
			
		    } else    {
			set line [concat $x5 $Zeile]
			$w.top.left.box.lbox insert end $line 
			set line " " ; set x5 " "
			
		    }
	        } 
	    }
	}       
    }
} ;#proc lese_file
   


#####  File Copy   ####
proc file_copy {w} {
    global selected application application(entries) selected(appl) mailc  \
	appl  edit_exec edit_app file

set in1 [open $file]
set out1 [open /tmp/.mailcap.bak w+]
puts -nonewline $out1 [read $in1]
close $out1 ;close $in1

};#  file_copy
  

#### save Application
proc save_app {w} {
    global selected application application(entries) selected(appl) mailc  \
	appl  edit_exec edit_app file

 file_copy $w
 set text_var { 
# Copyright (c) 1991 Bell Communications Research, Inc. (Bellcore)
#
# Permission to use, copy, modify, and distribute this material
# for any purpose and without fee is hereby granted, provided
# that the above copyright notice and this permission notice
# appear in all copies, and that the name of Bellcore not be
# used in advertising or publicity pertaining to this
# material without the specific, prior written permission
# of an authorized representative of Bellcore.  BELLCORE
# MAKES NO REPRESENTATIONS ABOUT THE ACCURACY OR SUITABILITY
# OF THIS MATERIAL FOR ANY PURPOSE.  IailT IS PROVIDED "AS IS",
# WITHOUT ANY EXPRESS OR IMPLIED WARRANTIES.
#
# Prototype Mailcap file
# Note that support for text & multipart are "built in" to metamail,
# as are rudimentary support for message, and application.
# However, any of these may be overridden in mailcap.
#
# Note that users may override or extend this with a .mailcap
# file in their own directory.  However, there is NO NEED
# for them to copy entries from this file, as metamail will
# pick up entries from both the system and personal mailcap files.
#
# Note that the effect of the following is to send ALL audio subtypes to the
# showaudio program, but to compose audio (e.g. in the mailto program)
# using "audio/basic" as the type.
# audio/basic; audioplay ; stream-buffer-size=8000     
}
    set i 0
    set elem [$w.top.left.box.lbox size]
    
    set out [open  $file  w]
    puts $out $text_var
    for {set j 0} {$j < $elem} {incr j} {
	puts $out [$w.top.left.box.lbox get $j] 
	puts $out ""
    }
    close $out
};# proc file_save


################

proc Error_proc {} {

message .msg_error -justify center -text " ERROR"
button quit -text "Dismiss" -width 5 \
    -bg #887788 -font  *-*-*-bold-i-*-12-*-*-*-*-*-*-*\
    -command exit
pack .msg_error 
}

####  File Edit  ####
proc edit_app {w} {
global selected application application(entries) selected(appl) mailc  \
appl   edit_exec edit_app \
       selected1 selected2 selected3  selected4 selected5 \
       del_select

       set xl " "
       set x [linsert  $xl  0 $selected1  \
                  $selected2 $selected3 \
                  $selected4 $selected5]
   
    if  { ($selected1 != " ")} { 
      $w.top.left.box.lbox insert end  [join $x {;}]  
     
    remove_app $w

    set selected1 " ";    set selected2 " "
    set selected3 " ";  set selected4 " "
    set selected5 " "
    
	$w.top.left.box.lbox yview end }
    
};# edit_app

#####  File Remove  #####

proc remove_app {w } {
global selected application application(entries) selected(appl) mailc  \
    appl  indexl selected_undo edit_exec edit_app \
    selected1 selected2 selected3 selected4 del_select index_undo 

if {($selected1 != " ")}  {
      $w.top.left.box.lbox delete $indexl
      $w.top.left.box.lbox yview $indexl
      set index_undo $indexl 
      set selected_undo $selected 
    } 

  set selected1 " "
  set selected2 " "
  set selected3 " "
  set selected4 " "
  set selected5 " "
} ;# remove_app

######
proc undo_remove {w} {
global indexl   selected application  index_undo selected_undo
    
 if { $selected_undo != " " } {  
     $w.top.left.box.lbox insert $index_undo $selected_undo   
     $w.top.left.box.lbox yview  $index_undo
     set selected_undo " "
   }
} ;# undo_remove

##### File Help   ####

proc help1 {w} {
    set f $w.f
    set f1 $w.f1
    if [winfo exists $w.f] {destroy $w.f; destroy $w.f1; return}

set info1 {Mailcap File Definition
-----------------------
}
set info2 {
A MIME message contains message blocks of a variety of file-types 
that can be displayed or created using a number of tools. You or
your organization may prefer one tool over another. You can also 
define your own file-types in Ishmail. To handle such flexibility,
Ishmail provides mechanisms for defining unique file-types and 
display methods through the use of the mailcap files. 

The purpose of the mailcap is to indicate to Ishmail what program 
to run in order to show user mail in a given format. With Ishmail,
it is possible to add a new file-type to all of the mail reading
programs at a site simply by adding a line to a the system mailcap
file. This can be overridden by defining the $SYSMAILCAP 
environment variable. 

Ishmail also attempts to read a user-provided mailcap file in the
user's home directory. This file is $HOME/.mailcap. This file does
not have to exist. But, if it does, its entries will take precedence
over entries of the same type in the system mailcap file. 

The syntax of a mailcap file is fairly simple and straightforward.
Any line that starts with # is a comment. Blank lines are ignored.
Otherwise, each line defines a single mailcap entry for a single 
content type. Long lines may be continued by ending them with 
a backslashcharacter, "\\".
 Each individual mailcap entry consists of :
}
set info4 {  - a content-type specification,
  - a command to execute, 
  - (possibly) a set of optional flag values.
}

set info5 { 
For example, a very simple mailcap entry might look like this: 

content-type; command to execute}
###
set info6 {
image/gif; xloadimage %s
}

set info7 {
The optional flags can be used to specify additional information 
about the mail-handling command.  For example: 
}
###

set info8 {
image/gif; xloadimage %s; label="A GIF Image"
}

set info9 {
can be added to use as a default label to display when a MIME message
arrives with an image/gif type,that provides no description of itself. 

The type field (image/gif, in the above example) is simply any legal
content type name,as defined by Internet RFC 1341 (Multipurpose 
Internet Mail Extension). In practice, this is almost any string. It 
is the string that will be matched against the "Content-type" header 
to decide if this is the mailcap entry that matches the current 
message. 

Additionally, the type field may specify a subtype or a wildcard to 
match all subtypes (for example, "image/*"). A wild card definition
should follow specific definitions, because Ishmail will attempt to
match the first entry it finds. 

The command field is any UNIX command ("xloadimage %s" in the above
example), and is used to specify the interpreter for the given type
of message. Semicolons and backslashes within the command must be 
quoted with backslashes.If the command contains "%s", those two 
characters will be replaced by the name of a file that contains the
body of the message. If it contains "%t", those two characters will 
be replaced by the content-type field, including the subtype,if any.
(That is, if the content-type was "image/jpeg; opt1=something-else",
then "%t" would be replaced by "image/jpeg".) 

If the command field contains "%{" followed by a parameter name and
a closing "}", then all those characters will be replaced by the 
value of the value of the named parameter, if any, from the value 
of the Content-type header. Thus, in the earlier example, "%{opt1}" 
will be replaced by "something-else". If a parameter is specified 
for the command, and the body part does not have a value for it, 
then "" (two double quotes representing the empty string) is 
substituted on the command line. 

If the command contains a "%e", those two characters will be 
replaced by the value of the Content-Transfer-Encoding, if there
is one. This is useful particularly for external-body types, and 
the command needs to decode the retrieved body. 

There are two additional built-in parameters; %{ruser} and %{rpwd}. 
The first, ruser, is where a user-supplied user account name is
substituted on the command line. This is commonly used for external-
body types that use "ftp" as an access-type. The rpwd parameter is 
for the accompanying password. 

If no "%s" appears in the command field, then instead of placing 
the message body in a temporary file, Ishmail passes the body to
the command on the standard input. 

The "notes=xxx" field is an uninterpreted string that is used to 
specify the name of the person who installed this entry in the
mailcap file. (The "xxx" may be replaced by any text string.) 

The "test=xxx" field is a command that is executed to determine 
whether the mailcap line  actually applies. That is, if the 
content-type field matches the content-type on the message, but 
a "test=" field is present, then the test must succeed before the
mailcap line is considered to "match" the message being viewed
The command may be any UNIX command,using the same syntax and the
same %-escapes as for the viewing command, as described above.
A command is considered to succeed if it exits with a zero exit 
status, and to fail otherwise. 

The "print=xxx" field is a command to use when you want to print 
the file. For instance application/postscript type could have 
an entry:
}

##

set info10 {
application/postscript; ghostview %s; print=lpr -P ps_printer
}
##

set info11 {
The "textualnewlines" field can be used in the rather obscure case
where Ishmail's default rules for treating newlines in base64-
encoded data are unsatisfactory. By default, Ishmail translates 
CRLF to the local newline character in decoded base64 output if 
the content-type is "text" (any subtype), but will not do so
otherwise. A mailcap entry with a field of "textualnewlines=1" will
force such translation for the specified content-type, while 
"textualnewlines=0" will guarantee that the translation does not 
take place even for textual content-types. 

Ishmail handles the following types automatically, thus negating 
a need for mailcap entries for text/plain, text/richtext, 
multipart/ mixed,multipart/digest, multipart/alternative,
multipart/parallel, message/rfc822, and message/partial.But this 
does not preclude creating mailcap entries for these types if, 
for some reason, you'd rather not use the built-in presentation
mechanisms for these types. 

Ishmail has a default entry for message/external-body in the mailcap
shipped with the program.It is recommended that this entry not be 
changed. 

Ishmail also has default entries for image/gif and audio/basic.
However, if you have a better application for presenting these
types, make the change there. 
}

##
set info12 {
Sample Mailcap File
}
##
set info13 {
text/richtext; Ishmail; print="cat %s | rt2ps | lp"

audio/basic; cat %s > /dev/audio
}
##
set info14 {
Image
}

##
set info15 {
image/xwd; /usr/bin/X11/xwud -in %s
image/x-xwd; /usr/bin/X11/xwud -in %s
image/pgm; pgmtopbm %s | xv - -perfect
image/x-pgm; pgmtopbm %s | xv - -perfect
image/xbitmap; /usr/bin/X11/xloadimage %s
image/x-xbitmap; /usr/bin/X11/xloadimage %s
image/xbm; /usr/bin/X11/xloadimage %s
image/x-xbm; /usr/bin/X11/xloadimage %s
image/*; xv -perfect %s
}
set info16 {
 Audio
}
set info17 {
audio/*; showaudio %s
}

set info18 {
 Video
}

set info19 {
video/mpeg; mpeg_play %s
}

set info20 {
 Application
}
set info21 {
application/frame; showframe %s; print="cat %s | lp"
application/x-des; xterm -e /bin/sh -c 'cat %s | des -d "\"
      %{method} -k %{key} | less'
}
set info22 {
# If you have an interactive Postscript interpreter, you should
# think carefully before replacing lpr with it in the following 
# line, because PostScript can be an enormous security hole. It
# is RELATIVELY harmless when sent to the printer...
}

set info23 {
application/postscript; ghostview %s; label="A Postscript File"; "\"
        compose="getfilename Postscript %s"; print="cat %s | lp"; "\"
        composetyped="gettypedfile %s"
}

set info24 {
 External
}
set info25 {
message/external-body; getmextern '%s' '%{access-type}' '%{name}' "\"
'%{site}' '%{directory}' '%{mode}' '%{ruser}' '%{rpwd}' "\"
'%{server}' '%{subject}'

}


frame $f 
frame $f1 

text $f.text -yscrollcommand "$f.yscroll set" \
         -width 69 -height 18 -wrap word
scrollbar $f.yscroll -command "$f.text yview" -orient vertical


 button $f1.online -text "Online ISC Help"  \
       -bg gray92   -command help2
 $f.text tag configure raised -background white -relief raised \
	    -borderwidth 1 \
            -font -*-Helvetica-Bold-R-Normal--*-180-*-*-*-*-*-*
 $f.text tag configure bold -font -*-Helvetica-Bold-R-Normal--*-140-*-*-*-*-*-*
 $f.text tag configure adobe  -font -Adobe-Courier-Medium-R-Normal--*-120-*-*-*-*-*-*
 $f.text tag configure color1 -background #a0b7ce
 $f.text tag configure color2 -foreground red
 $f.text tag configure raised -relief raised -borderwidth 1
 $f.text tag configure sunken -relief sunken -borderwidth 1

$f.text insert end $info1 raised
$f.text insert end $info2 adobe
#$f.text insert end $info3 bold
$f.text insert end $info4 bold
$f.text insert end $info5 adobe
$f.text insert end $info6 color2
$f.text insert end $info7 adobe
$f.text insert end $info8 color2
$f.text insert end $info9 adobe
$f.text insert end $info10 color2
$f.text insert end $info11 adobe
$f.text insert end $info12 bold 
$f.text insert end $info13 color2
$f.text insert end $info14 bold
$f.text insert end $info15 color2
$f.text insert end $info16 bold
$f.text insert end $info17 color2
$f.text insert end $info18 bold
$f.text insert end $info19 color2
$f.text insert end $info20 bold
$f.text insert end $info21 color2
$f.text insert end $info22 adobe
$f.text insert end $info23 color2
$f.text insert end $info24 bold 
$f.text insert end $info25 color2

grid $f.text $f.yscroll -sticky news

pack $f -fill both -expand true
pack $f1.online  -side left -padx 2 -pady 3
pack $f1 
grid rowconfigure $f 0 -weight 1
grid columnconfigure $f 0 -weight 1

}
proc help2 {} {
  exec netscape -remote "openURL(http://www.fokus.gmd.de/step/isc)"
#  exec netscape -remote "openURL(file:/net/u/step/mat/tcl_prog/arbeit/help_mailcap2.html"
} ;# help

