/*
 * Extensions for the standard sys/audio.h for AIX 3.2.5.
 * (How about AIX 4.1.x ?
 */
#define AUX1			100
#define AUDIO_SET_GAIN		14
#define INTERNAL_SPEAKER_ON	10
#define INTERNAL_SPEAKER_OFF	11
#define AUDIO_MODIFY_LIMITS	20
typedef struct _audio_set_gain
{
	signed long left_gain;
	signed long right_gain;
} audio_set_gain;
typedef struct _init_buf_req
{
	long buffer_size;
	long play_block_count;
	long play_lower_limit;
	long cap_upper_limit;
	long byte_count;
	long return_code;
} init_buf_req;
