#include "types.h"
#include <sys/utsname.h>
#include <math.h>         /* HUGE_VAL */
#include <time.h>
#include "arch_sys.h"

double infinity(void)
{
  return HUGE_VAL;
} /* infinity */


long gethostid(void)
{
  struct utsname name;

  uname(&name);
  return 0;
} /* gethostid */


int gmtoff(void)
{
  time_t clock;
  struct tm *tm;

  time(&clock);
  tm = localtime(&clock);
  return tm->tm_isdst ? timezone+3600 : timezone;
} /* gmtoff */
