/*
* Tcl function that invokes the system library routine tempnam() to 
* generate a temporary, unique name. Argument provides prefix.
*/
#include <tcl.h>
#include <stdio.h>



int Tcl_tempnam(ClientData client, Tcl_Interp *interp, int argc, char **argv)
{
  Tcl_SetResult(interp, tempnam(0, argv[1]), TCL_DYNAMIC);
  return TCL_OK;
} /* tempnam */
