#ifndef _REPLY_CODES_H
#define _REPLY_CODES_H

#define TRYING 100
#define RINGING 150
#define OK 200
#define MOVED_PERMANENTLY 301
#define MOVED_TEMPORARILY 302
#define ALTERNATIVE_SERVICE 350
#define BAD_REQUEST 400
#define UNAUTHORIZED 401
#define PAYMENT_REQUIRED 402
#define FORBIDDEN 403
#define NOT_FOUND 404
#define NOT_ACCEPTABLE 406
#define DECLINE 450
#define BUSY 451
#define SERVER_INTERNAL_ERROR 500
#define NOT_IMPLEMENTED 501
#define SERVICE_UNAVAILABLE 503
#define SEARCH_FAILURE 600
#define NOT_KNOWN_HERE 601
#define NOT_CURRENTLY_HERE 602
#define ALTERNATIVE_ADDRESS 603

#endif /* _REPLY_CODES_H */

